max

- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
max
Complete List of ArrayFire Functions ArrayFire Functions by Category » Vector Algorithms » | Reduction operations

Find the maximum values and their locations. More...

## Functions
AFAPI array | max (const array &in, const int dim=-1)
| C++ Interface for maximum values in an array. More...
template<typename T >
T | max (const array &in)
| C++ Interface for getting maximum value of an array. More...
AFAPI void | max (array &val, array &idx, const array &in, const int dim=-1)
| C++ Interface for getting maximum values and their locations in an array. More...
template<typename T >
void | max (T *val, unsigned *idx, const array &in)
| C++ Interface for getting maximum value and its location from the entire array. More...
AFAPI af_err | af_max (af_array *out, const af_array in, const int dim)
| C Interface for maximum values in an array. More...
AFAPI af_err | af_max_all (double *real, double *imag, const af_array in)
| C Interface for getting maximum value of an array. More...
AFAPI af_err | af_imax (af_array *out, af_array *idx, const af_array in, const int dim)
| C Interface for getting maximum values and their locations in an array. More...
AFAPI af_err | af_imax_all (double *real, double *imag, unsigned *idx, const af_array in)
| C Interface for getting maximum value and it's location from the entire array. More...

## Detailed Description

Find the maximum values and their locations.

This function performs the operation across all batches present in the input simultaneously.

## Function Documentation

AFAPI af_err af_imax | ( | af_array * | out,
|  | af_array * | idx,
|  | const af_array | in,
|  | const int | dim
| ) |  |

C Interface for getting maximum values and their locations in an array.

Parameters

  [out] | out | will contain the maximum of all values in `in` along `dim`
  [out] | idx | will contain the location of maximum of all values in `in` along `dim`
  [in] | in | is the input array
  [in] | dim | The dimension along which the maximum value is extracted

Returns
  AF_SUCCESS if the execution completes properly

AFAPI af_err af_imax_all | ( | double * | real,
|  | double * | imag,
|  | unsigned * | idx,
|  | const af_array | in
| ) |  |

C Interface for getting maximum value and it's location from the entire array.

Parameters

  [out] | real | will contain the real part of maximum value of all elements in input `in`
  [out] | imag | will contain the imaginary part of maximum value of all elements in input `in`
  [out] | idx | will contain the location of maximum of all values in `in`
  [in] | in | is the input array

Returns
  AF_SUCCESS if the execution completes properly

Note
  `imag` is always set to 0 when `in` is real.

AFAPI af_err af_max | ( | af_array * | out,
|  | const af_array | in,
|  | const int | dim
| ) |  |

C Interface for maximum values in an array.

Parameters

  [out] | out | will contain the maximum of all values in `in` along `dim`
  [in] | in | is the input array
  [in] | dim | The dimension along which the maximum value is extracted

Returns
  AF_SUCCESS if the execution completes properly

AFAPI af_err af_max_all | ( | double * | real,
|  | double * | imag,
|  | const af_array | in
| ) |  |

C Interface for getting maximum value of an array.

Parameters

  [out] | real | will contain the real part of maximum value of all elements in input `in`
  [out] | imag | will contain the imaginary part of maximum value of all elements in input `in`
  [in] | in | is the input array

Returns
  AF_SUCCESS if the execution completes properly

Note
  `imag` is always set to 0 when `in` is real.

AFAPI array af::max | ( | const array & | in,
|  | const int | dim = `-1`
| ) |  |

C++ Interface for maximum values in an array.

Parameters

  [in] | in | is the input array
  [in] | dim | The dimension along which the maximum value needs to be extracted

Returns
  result of maximum all values along dimension `dim`

Note
  `dim` is -1 by default. -1 denotes the first non-singleton dimension.
  NaN values are ignored

Examples:
  financial/heston_model.cpp, financial/monte_carlo_options.cpp, getting_started/integer.cpp, graphics/fractal.cpp, graphics/gravity_sim.cpp, graphics/plot3.cpp, image_processing/binary_thresholding.cpp, image_processing/filters.cpp, image_processing/image_editing.cpp, image_processing/optical_flow.cpp, machine_learning/bagging.cpp, machine_learning/deep_belief_net.cpp, machine_learning/kmeans.cpp, machine_learning/logistic_regression.cpp, machine_learning/naive_bayes.cpp, machine_learning/neural_network.cpp, machine_learning/perceptron.cpp, machine_learning/rbm.cpp, machine_learning/softmax_regression.cpp, and pde/swe.cpp.

T af::max | ( | const array & | in | ) |

C++ Interface for getting maximum value of an array.

Parameters

  [in] | in | is the input array

Returns
  the maximum of all values of `in`

Note
  NaN values are ignored

AFAPI void af::max | ( | array & | val,
|  | array & | idx,
|  | const array & | in,
|  | const int | dim = `-1`
| ) |  |

C++ Interface for getting maximum values and their locations in an array.

Parameters

  [out] | val | will contain the maximum values along dimension `dim`
  [out] | idx | will contain the locations of maximum all values along dimension `dim`
  [in] | in | is the input array
  [in] | dim | The dimension along which the maximum value needs to be extracted

Note
  `dim` is -1 by default. -1 denotes the first non-singleton dimension.
  NaN values are ignored

void af::max | ( | T * | val,
|  | unsigned * | idx,
|  | const array & | in
| ) |  |

C++ Interface for getting maximum value and its location from the entire array.

Parameters

  [out] | val | contains the maximum values in the input
  [out] | idx | contains the locations of maximum all values in the input
  [in] | in | is the input array

Note
  NaN values are ignored